// Test.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "watchtvpro _dll_sample.h"
#include "Test.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Eigenschaftenseite CTest 

IMPLEMENT_DYNCREATE(CTest, CPropertyPage)

CTest::CTest() : CPropertyPage(CTest::IDD)
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	//{{AFX_DATA_INIT(CTest)
	m_Active = TRUE;
		// HINWEIS: Der Klassen-Assistent fgt hier Elementinitialisierung ein
	//}}AFX_DATA_INIT
}

CTest::~CTest()
{
}

void CTest::DoDataExchange(CDataExchange* pDX)
{
		AFX_MANAGE_STATE(AfxGetStaticModuleState());

	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTest)
	DDX_Check(pDX, IDC_CHECK1, m_Active);
		// HINWEIS: Der Klassen-Assistent fgt hier DDX- und DDV-Aufrufe ein
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTest, CPropertyPage)
	//{{AFX_MSG_MAP(CTest)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CTest 

BOOL CTest::OnInitDialog() 
{
		AFX_MANAGE_STATE(AfxGetStaticModuleState());

	CPropertyPage::OnInitDialog();
	
	AfxMessageBox("INIT");

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}

void CTest::OnRefresh() 
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	CWatchTVPro_DLL_SampleApp* pSampleApp = (CWatchTVPro_DLL_SampleApp*)AfxGetApp();

	UpdateData(TRUE);

	if(m_Active != pSampleApp->bIsActive)
		pSampleApp->SwitchStatus();
	
	UpdateData(FALSE);
}

LRESULT CTest::WindowProc(UINT message, WPARAM wParam, LPARAM lParam) 
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if ( message == WM_USER)
	{	
		if (wParam == WTVP_DIALOG_ON_CLOSE)
		{
			OnRefresh();
			return TRUE;
		}
	}	

	return CPropertyPage::WindowProc(message, wParam, lParam);
}

