// Properties.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Properties.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Eigenschaftenseite CProperties 

IMPLEMENT_DYNCREATE(CProperties, CPropertyPage)

CProperties::CProperties() : CPropertyPage(CProperties::IDD)
{
	//{{AFX_DATA_INIT(CProperties)
	m_Active = TRUE;
	//}}AFX_DATA_INIT
}

CProperties::~CProperties()
{
}

void CProperties::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProperties)
	DDX_Check(pDX, IDC_CHECK1, m_Active);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CProperties, CPropertyPage)
	//{{AFX_MSG_MAP(CProperties)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CProperties 

BOOL CProperties::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();

	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	CWatchTVPro_DLL_SampleApp* pSampleApp = (CWatchTVPro_DLL_SampleApp*)AfxGetApp();

	UpdateData(TRUE);
	m_Active = pSampleApp->bIsActive;
	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}

void CProperties::OnRefresh() 
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	CWatchTVPro_DLL_SampleApp* pSampleApp = (CWatchTVPro_DLL_SampleApp*)AfxGetApp();

	UpdateData(TRUE);

	if(m_Active != pSampleApp->bIsActive)
		pSampleApp->SwitchStatus();
	
	UpdateData(FALSE);
}

LRESULT CProperties::WindowProc(UINT message, WPARAM wParam, LPARAM lParam) 
{
	LRESULT result = CPropertyPage::WindowProc(message, wParam, lParam);

	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if ( message == WM_USER)
	{	
		if (wParam == WTVP_DIALOG_ON_CLOSE)
		{
			OnRefresh();
		}
	}	
	return result;
}

