// WatchTVPro _DLL_Sample.cpp : Legt die Initialisierungsroutinen fr die DLL fest.
//

#include "stdafx.h"
#include "WatchTVPro _DLL_Sample.h"
#include "MyHtmlView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//
//	Beachten Sie!
//
//		Wird diese DLL dynamisch an die MFC-DLLs gebunden,
//		muss bei allen von dieser DLL exportierten Funktionen,
//		die MFC-Aufrufe durchfhren, das Makro AFX_MANAGE_STATE
//		direkt am Beginn der Funktion eingefgt sein.
//
//		Beispiel:
//
//		extern "C" BOOL PASCAL EXPORT ExportedFunction()
//		{
//			AFX_MANAGE_STATE(AfxGetStaticModuleState());
//		// Hier normaler Funktionsrumpf
//		}
//
//		Es ist sehr wichtig, dass dieses Makro in jeder Funktion
//		vor allen MFC-Aufrufen erscheint. Dies bedeutet, dass es
//		als erste Anweisung innerhalb der Funktion ausgefhrt werden
//		muss, sogar vor jeglichen Deklarationen von Objektvariablen,
//		da ihre Konstruktoren Aufrufe in die MFC-DLL generieren
//		knnten.
//
//		Siehe MFC Technical Notes 33 und 58 fr weitere
//		Details.
//

/////////////////////////////////////////////////////////////////////////////
// CWatchTVPro_DLL_SampleApp

BEGIN_MESSAGE_MAP(CWatchTVPro_DLL_SampleApp, CWinApp)
	//{{AFX_MSG_MAP(CWatchTVPro_DLL_SampleApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWatchTVPro_DLL_SampleApp Konstruktion

CWatchTVPro_DLL_SampleApp::CWatchTVPro_DLL_SampleApp()
{
	bOSD = TRUE;
	bIsActive = FALSE;

	// ZU ERLEDIGEN: Hier Code zur Konstruktion einfgen
	// Alle wichtigen Initialisierungen in InitInstance platzieren
}

/////////////////////////////////////////////////////////////////////////////
// Das einzige CWatchTVPro_DLL_SampleApp-Objekt
CWatchTVPro_DLL_SampleApp	theApp;

void Show_OSD();

CWatchTVPro_DLL_SampleApp* pSampleApp = (CWatchTVPro_DLL_SampleApp*)AfxGetApp();

void On_Start(HINSTANCE hInstance, HWND hWnd, BOOL Log_Set, int DLL_ID, char *My_Hot_Key) // wird von MD/WTVP aufgerufen
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	pSampleApp->App_hInstance = hInstance;
	pSampleApp->App_hWindow = hWnd;
    pSampleApp->App_DLL_ID = DLL_ID;
	
	/*Plugin aktivieren*/
	pSampleApp->SwitchStatus();

	/*Zeige Nachricht an*/
	Show_OSD();

	//PROPERTY struct erzeugen	
	pSampleApp->pProperties = new PROPERTY_INFO;

	return;
}

void On_Exit(HINSTANCE hInstance, HWND hWnd, BOOL Log_Set) // wird von MD/WTVP aufgerufen
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	/*Zeige Nachricht an*/
	AfxMessageBox("SampleDLL wird beendet.", MB_OK);

	return;
}

void On_Send_Dll_ID_Name(char *Name) // wird von MD/WTVP aufgerufen
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	/*Identifikation fr die Hauptapplikation*/
	strcpy(Name, "Sample DLL");

	return;
}

void OnSampledllHellodvbworld() 
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());
	
	if(!pSampleApp->bIsActive) return;

	/*obligatorisch*/
	AfxMessageBox("Hello world.");	

	return;
}

void On_Channel_Change( TProgramm CurrentProgramm ) // wird von MD/WTVP aufgerufen
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return;

	/*Lese aktuellen Programmnamen aus*/
	CString m_Nachricht;
	m_Nachricht.Format("Kanalwechsel zu %s", CurrentProgramm.Name);

	/*Sendernamen speichern*/
    pSampleApp->m_Sendername = CurrentProgramm.Name;

	/*Zeige Nachricht an*/
	AfxMessageBox(m_Nachricht);

	return;
}

void On_Filter_Receive( int MyFilter, int len , unsigned char *pBuffer) // wird von MD/WTVP aufgerufen
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return;

	// Schreiben wir die Daten doch auch Platte ....
	if (pSampleApp->myFile.Open("c:\\myFilterData.bin", CFile::modeCreate | CFile::modeWrite | CFile::modeNoTruncate, NULL))
	{
		pSampleApp->myFile.SeekToEnd();
		pSampleApp->myFile.Write(pBuffer, len);
		pSampleApp->myFile.Close();
	}

	return;
}

void PID_Filter_starten()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return;

	/*Die ID meiner DLL*/
    pSampleApp->StartFilter.DLL_ID = pSampleApp->App_DLL_ID;

	/*ID des Filters*/
    pSampleApp->StartFilter.Filter_ID = 0;                   // im Falle von WTVP z.Z. nur 0 (!!)

	/*Name meiner Funktion*/
	ZeroMemory(&pSampleApp->StartFilter.Name[0], sizeof(pSampleApp->StartFilter.Name));
	strncpy((char*)&pSampleApp->StartFilter.Name[0],"Sample DLL Filter PID 257", sizeof(pSampleApp->StartFilter.Name));

	/*Das PID mit den ProSieben AC3 Daten*/
	pSampleApp->StartFilter.Pid = 257;						 // AC3

	/*Diese Funktion soll von der Hauptapplikation aufgerufen werden wenn Daten empfangen wurden*/
	pSampleApp->StartFilter.Irq_Call_Adresse=(DWORD)On_Filter_Receive;
	
	if (pSampleApp->m_Sendername == "ProSieben")
	{
		/*MDAPI_START_FILTER an die Applikation versenden*/
		SendMessage(pSampleApp->App_hWindow, WM_USER, MDAPI_START_FILTER, (LONG)&pSampleApp->StartFilter);
		
		/*Nachricht anzeigen*/
		AfxMessageBox("Filter wurde gestartet.", MB_OK);
	}
	else
	{
		/*Nachricht anzeigen*/
		AfxMessageBox("Filter konnte nicht gestartet werden.\nBitte schalten Sie zuerst um auf ProSieben.", MB_OK);
	}

	return;
}

void PID_Filter_stoppen()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());
	
	if(!pSampleApp->bIsActive) return;

	/*MDAPI_STOP_FILTER an die Applikation versenden*/
	SendMessage(pSampleApp->App_hWindow, WM_USER, MDAPI_STOP_FILTER, pSampleApp->StartFilter.Running_ID);

	return;
}

void On_Filter_Close() // wird von MD/WTVP aufgerufen
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());
	
	if(!pSampleApp->bIsActive) return;

	/*Nachricht anzeigen*/
    AfxMessageBox("Filter wurde gestoppt.",MB_OK);

	return;
}

void Read_Channel_Count()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return;

	pSampleApp->iChannelCount = -1;

	/*Befehl an Hauptapplikation versenden*/
	SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_CHANNELS_COUNT, (LONG)&pSampleApp->iChannelCount);

	CString m_Nachricht;
	m_Nachricht.Format("Es existieren %d Eintrge in der Kanalliste.", pSampleApp->iChannelCount);
	
	/*Ergebnis anzeigen*/
	AfxMessageBox(m_Nachricht);

	return;
}

void Read_Volume_Level()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return;

	BYTE bVolume = 0;

	/*Befehl an Hauptapplikation versenden*/
	SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_GET_VOLUME, (LONG)&bVolume);

	CString m_Nachricht;
	m_Nachricht.Format("Die Lautstrke betrgt %d.", bVolume);
	
	/*Ergebnis anzeigen*/
	AfxMessageBox(m_Nachricht);

	return;
}

void Set_Volume_Level()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return;

	BYTE bVolume = 50;

	/*Befehl an Hauptapplikation versenden*/
	SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_SET_VOLUME, (LONG)&bVolume);

	CString m_Nachricht;
	m_Nachricht.Format("Die Lautstrke betrgt nun 50%%.");
	
	/*Ergebnis anzeigen*/
	AfxMessageBox(m_Nachricht);

	return;
}

void Show_OSD()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return;

	TOSD_START		Osd_Start;
	TOSD_DRAW		Osd_Draw;
	TOSD_SETFONT	Osd_Set_Font;
	TOSD_SETEXT		Osd_Set_Text;
	TOSD_MOVE		Osd_Move;

	/*Altes OSD lschen (incl. WTVP OSDs)*/
	SendMessage(pSampleApp->App_hWindow, WM_USER, MDAPI_STOP_OSD, 0 );

	/*OSD Fenster auswhlen (1-8)*/
	SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_SET_OSD_SURFACE, 1 );
	
	/*Hier wird das OSD Fenster definiert*/
	Osd_Start.BitTiefe = 3;
    Osd_Start.DLL_Id = 0;			// immer 0
	Osd_Start.x1 = 0;
	Osd_Start.y1 = 0;
	Osd_Start.x2 = 600;
	Osd_Start.y2 = 50;
	Osd_Start.Input = 0;

	/*OSD Fenster erzeugen*/
	SendMessage(pSampleApp->App_hWindow, WM_USER, MDAPI_START_OSD, (LONG)&Osd_Start);

	/*OSD Fenster an die gewnschte Position verschieben*/
	Osd_Move.x = 50;
	Osd_Move.y = 220;
	SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_MOVE_OSD, (LONG)&Osd_Move);

	/*Bild im OSD anzeigen*/
	pSampleApp->myBMPStruct.posX = 30;
	pSampleApp->myBMPStruct.posY = 0;
	strcpy(&pSampleApp->myBMPStruct.szFilename[0], ".\\wtvp.bmp");

	SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_OSD_LOADBMP, (long)&pSampleApp->myBMPStruct );

	/*Gelben Streifen ins OSD-Fenster malen*/
	Osd_Draw.x = 78;
	Osd_Draw.y = 42;
	Osd_Draw.Sizex = 550;    
	Osd_Draw.Sizey = 5;    
    Osd_Draw.Color = 2;
	SendMessage(pSampleApp->App_hWindow, WM_USER, MDAPI_OSD_DRAWBLOCK, (LONG)&Osd_Draw);

	/*Fontgre und Farben auswhlen*/
	Osd_Set_Font.Typ = 1;
	Osd_Set_Font.Fg_Color = 1;
	Osd_Set_Font.Bg_Color = 100;
	SendMessage(pSampleApp->App_hWindow, WM_USER, MDAPI_OSD_SETFONT, (LONG)&Osd_Set_Font);

	/*Text ins OSD zeichnen*/
	Osd_Set_Text.x = 130;
	Osd_Set_Text.y = 10;
	CString text = "WatchTVPro Sample DLL V1.6";
	strncpy(&Osd_Set_Text.Zeile[0], text.GetBuffer(text.GetLength()), 128);
	SendMessage(pSampleApp->App_hWindow, WM_USER, MDAPI_OSD_TEXT, (LONG)&Osd_Set_Text );

};

void Delete_OSD()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return;

	/*Altes OSD lschen*/
	SendMessage(pSampleApp->App_hWindow, WM_USER, MDAPI_STOP_OSD, 0 );
}

void Switch_Channel()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return;

	/*Auf Kanal 25*/
	int iChannel = 26;

	/*Umschalten*/
	SendMessage(pSampleApp->App_hWindow, WM_USER, MDAPI_SET_PROGRAMM_NUMMER, (LONG)&iChannel );
}

void TimerDemo()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return;

	pSampleApp->myTimerData.iTimerNumber = 0; // Definiert den gewnschten Eintrag aus der Timerliste!!
	/*Der Rest ist nach dem Call von WTVP ausgefllt*/

	do
	{
		/*Timereintrag holen*/
		SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_GET_TIMERRECORD, (LONG)&pSampleApp->myTimerData );

		/*Beenden falls keine Timereintrge existieren*/
		if (pSampleApp->myTimerData.iTimerCount < 1) break;

		/*Meldung zusammenstellen*/
		CString myMessage, tempString;
		myMessage.Format("Anzahl Timereintrge in der Liste: %d\n\n" , pSampleApp->myTimerData.iTimerCount);

		tempString.Format("Aktueller Eintrag: %d\n", pSampleApp->myTimerData.iTimerNumber);
		myMessage += tempString;

		myMessage += pSampleApp->myTimerData.theTimerData.Start.Format("Startzeit: %d.%B.%Y %H:%M:%S\n");
		myMessage += pSampleApp->myTimerData.theTimerData.Stop.Format("Stopzeit: %d.%B.%Y %H:%M:%S\n");
	
		tempString.Format("Sendung: %s\n", pSampleApp->myTimerData.theTimerData.Sendung);
		myMessage += tempString;

		tempString.Format("Sender: %s\n", pSampleApp->myTimerData.theTimerData.Sender);
		myMessage += tempString;

		/*Timereintrag anzeigen*/
		AfxMessageBox(myMessage);		

		/*Weiter mit dem nchsten Timereintrag*/
		pSampleApp->myTimerData.iTimerNumber++;

	} while(pSampleApp->myTimerData.iTimerNumber < pSampleApp->myTimerData.iTimerCount);

	int iResult = AfxMessageBox("Neuen Eintrag hinzufgen?", MB_YESNO);
	if (iResult == IDYES)
	{
		/*Neuen Timereintrag zusammenstellen*/
		pSampleApp->myTimerData.iTimerNumber = pSampleApp->myTimerData.iTimerCount;
		pSampleApp->myTimerData.iTimerCount++;
		pSampleApp->myTimerData.theTimerData.Start = CTime(2005, 12, 31, 15, 0 ,0);
		pSampleApp->myTimerData.theTimerData.Stop = CTime(2005, 12, 31, 16, 0 ,0);
		strncpy(&pSampleApp->myTimerData.theTimerData.Sender[0], "Sendername\0", 11);
		strncpy(&pSampleApp->myTimerData.theTimerData.Sendung[0], "Sendungname\0", 12);
		pSampleApp->myTimerData.theTimerData.iRecordingType = TIMER_RECORD;
		pSampleApp->myTimerData.theTimerData.iChannelNumber = 10;	//Die Kanalnummer! WICHTIG!!
		pSampleApp->myTimerData.theTimerData.bFav = 0;				//NOT USED!

		/*Timereintrag an WTVP senden*/
		SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_SET_TIMERRECORD, (LONG)&pSampleApp->myTimerData );
	}

}

int On_RC5(WORD wButtonCode, BOOL bButtonState)
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return SEND_TO_WTVP_AND_DLLS;

	CString m_strKeySate;

	if(bButtonState)
		m_strKeySate = "gedrckt";
	else
		m_strKeySate = "losgelassen";

	/*Gedrckte FB Taste anzeigen*/
	CString m_strText;
	m_strText.Format("Tastencode: 0x%x, Tastenstatus: ", wButtonCode);
	m_strText += m_strKeySate;
	AfxMessageBox(m_strText, MB_SYSTEMMODAL);

	return SEND_TO_DLLS_ONLY;

}

void SetOSD()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	CWnd* pWindow = CWnd::FromHandle(pSampleApp->App_hWindow);
	CMenu* pMenu = pWindow->GetMenu();

	if(pSampleApp->bOSD)
	{
		pSampleApp->bOSD = FALSE;
		SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_OSD_OFF, NULL);
		pMenu->CheckMenuItem(ID_OSD_OSDAUSSCHALTEN, MF_UNCHECKED);
	}
	else
	{
		pSampleApp->bOSD = TRUE;
		SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_OSD_OFF, NULL);
		pMenu->CheckMenuItem(ID_OSD_OSDAUSSCHALTEN, MF_CHECKED);
	}

}

int On_Key_Down( UINT nChar, UINT nRepCnt, UINT nFlags )
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return SEND_TO_WTVP_AND_DLLS;

	/*Gedrckte Taste anzeigen*/
	CString text;
	text.Format("Keycode: %d", nChar);
	AfxMessageBox(text);

	return SEND_TO_WTVP_AND_DLLS;
}

void SetOSDColor()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return;

	pSampleApp->myColorSet.iColorIndex = 0;			//Farbindex 0 = Hintergrundfarbe
	pSampleApp->myColorSet.myColorRef = 0x00000000;	//Schwarz
	pSampleApp->myColorSet.PaletteTyp = Pal2Bit;
	
	SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_SET_OSD_COLOR, (LONG)&pSampleApp->myColorSet);

	pSampleApp->myColorSet.iColorIndex = 1;			//Farbindex 1
	pSampleApp->myColorSet.myColorRef = 0x00ffffff;	
	pSampleApp->myColorSet.PaletteTyp = Pal2Bit;
	
	SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_SET_OSD_COLOR, (LONG)&pSampleApp->myColorSet);

	pSampleApp->myColorSet.iColorIndex = 2;			//Farbindex 2
	pSampleApp->myColorSet.myColorRef = 0x0000ffff;	
	pSampleApp->myColorSet.PaletteTyp = Pal2Bit;
	
	SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_SET_OSD_COLOR, (LONG)&pSampleApp->myColorSet);
}

void CWatchTVPro_DLL_SampleApp::SwitchStatus()
{
	CWnd* pWindow = CWnd::FromHandle(App_hWindow);
	CMenu* pMenu = pWindow->GetMenu();

	if (bIsActive) 
	{
		bIsActive = FALSE;
		pMenu->CheckMenuItem(ID_AKTIV, MF_UNCHECKED);
	}
	else
	{
		bIsActive = TRUE;
		pMenu->CheckMenuItem(ID_AKTIV, MF_CHECKED);
	}
}

void FilePlayback()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	if(!pSampleApp->bIsActive) return;

	/*FileDialog Objekt erzeugen*/
	CFileDialog FileDialog(TRUE,NULL,NULL,NULL,"Medien-Dateien (*.pva *.mpg)|*.pva;*.mpg||"); 
	
	/*Wir wollen den 'neuen' Dialog*/
	FileDialog.m_ofn.lStructSize = sizeof (OPENFILENAME) + 12;

	/*Anzeigen*/
	int resultID = FileDialog.DoModal();	
	
	/*Wurde ein File ausgewhlt?*/
	if (resultID == IDOK)
	{
		/*Filenamen incl. Pfad ermitteln*/
		CString m_strFileName = FileDialog.GetPathName();

		/*WTVP abspielen lassen*/
		SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_FILE_PLAYBACK, (LONG)m_strFileName.GetBuffer(MAX_PATH));

		/*Buffer wieder lschen*/
		m_strFileName.ReleaseBuffer();
	}
}

void On_Menu_Select(unsigned int MenuID) // wird von MD/WTVP aufgerufen
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());
	
	switch(MenuID)
	{

	/*Hello world aufrufen*/
	case ID_SAMPLEDLL_HELLODVBWORLD:
		OnSampledllHellodvbworld();
		break;

	/*Filter Start aufrufen*/
	case ID_SAMPLEDLL_EMPFANGVONFILTERDATEN_AC3DATENEMPFANGEN:
		PID_Filter_starten();
		break;
	
	/*Filter Stop aufrufen*/
	case ID_SAMPLEDLL_EMPFANGVONFILTERDATEN_EMPFANGSTOPPEN:
		PID_Filter_stoppen();
		break;

	/*Anzeigen der Senderanzahl*/
	case ID_INFOS_ANZAHLSENDERAUSLESEN:
		Read_Channel_Count();
		break;

	/*Anzeigen der aktuellen Lautstrke*/
	case ID_INFOS_LAUSTRKEAUSLESEN:
		Read_Volume_Level();
		break;
	
	/*Einstellen der aktuellen Lautstrke*/
	case ID_INFOS_LAUTSTRKEAUF50EINSTELLEN:
		Set_Volume_Level();
		break;

	/*Zeigt die OSD Infobox an*/
	case ID_OSD_OSDANZEIGEN:
		Show_OSD();
		break;

	/*OSD lschen*/
	case ID_OSD_OSDAUSBLENDEN:
		Delete_OSD();
		break;

	/*Umschaltfunktion*/
	case ID_UMSCHALTEN_ZUKANAL25:
		Switch_Channel();
		break;

	/*Registry lesen*/
	case ID_REGISTRY_WTVPSOLLREGISTRYNEUEINLESEN:
		SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_READ_REGISTRY, 0 );
		break;

	/*Registry schreiben*/
	case ID_REGISTRY_WTVPSOLLREGISTRYNEUSCHREIBEN:
		SendMessage(pSampleApp->App_hWindow, WM_USER, WTVP_WRITE_REGISTRY, 0 );
		break;

	/*Timerprogrammierung*/
	case ID_TIMEREINTRGE:
		TimerDemo();
		break;	

	/*Timerprogrammierung*/
	case ID_MEDIENDATEI_OEFFNEN:
		FilePlayback();
		break;			

	/*OSD Hintergrundfarbe einstellen*/
	case ID_OSD_OSDHINTERGRUNDFARBEVERNDERN:
		SetOSDColor();
		break;

	/*OSD ein bzw. ausschalten*/
	case ID_OSD_OSDAUSSCHALTEN:
		SetOSD();
		break;

	case ID_AKTIV:
		pSampleApp->SwitchStatus();
	}

	return;
}

PROPERTY_INFO* On_Init_Properties()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	pSampleApp->pProperties->pClass = RUNTIME_CLASS( CProperties );
	pSampleApp->pProperties->dwDialogID = IDD_PROPERTIES;

	return (PROPERTY_INFO*)pSampleApp->pProperties;
}

CRuntimeClass* On_Init_View()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	return RUNTIME_CLASS(CMyHtmlView);
}
